jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jeremy Daggett (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-554) openstack-nova defaults to API v1.1
Date Mon, 02 Jun 2014 16:37:01 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-554?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14015525#comment-14015525
] 

Jeremy Daggett commented on JCLOUDS-554:
----------------------------------------

PR: https://github.com/jclouds/jclouds/pull/390

> openstack-nova defaults to API v1.1
> -----------------------------------
>
>                 Key: JCLOUDS-554
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-554
>             Project: jclouds
>          Issue Type: Bug
>          Components: jclouds-compute
>            Reporter: Everett Toews
>            Assignee: Jeremy Daggett
>              Labels: openstack
>
> All of the domain objects in openstack-nova are written for v2 of the API (org.jclouds.openstack.nova.v2_0.*)
but jclouds talks to v1.1 endpoints by default.
> Also v1.1 hasn't been used in OpenStack since Diablo, 5 releases ago. Diablo isn't even
supported anymore.
> openstack-nova should default to v2 in the pom.xml test.openstack-nova.api-version and
in NovaApiMetadata.
> HP might still be running v1.1 on their Diablo based "pre-13.5" HPCloud which is to be
discontinued on June 1, 2014.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message